﻿using BL.Repository;
using BL.Repository.ConcreateRepositories;
using Entities;
using Microsoft.Extensions.DependencyInjection;
using System;
using System.Collections.Generic;
using System.Text;

namespace BL.ServiceExtensions
{
    public static class RepositoryService
    {
        public static IServiceCollection AddRepositoryService(this IServiceCollection services)
        {
            services.AddTransient<IRepository<Personel>>(x => new PersonelRepository());
            services.AddTransient<IRepository<Satis>>(x => new SatisRepository());
            return services;
        }
    }
}
