﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using BL.Repository;
using BL.Repository.ConcreateRepositories;
using Entities;
using Microsoft.AspNetCore.Mvc;

namespace NTierDependencyInjection.Controllers
{
    public class PersonelController : Controller
    {
        readonly PersonelRepository _personelRepository;
        public PersonelController(IRepository<Personel> personelRepository)
        {
            _personelRepository = (PersonelRepository)personelRepository;
        }
        public IActionResult Index()
        {
            return View(_personelRepository.Get());
        }

        public IActionResult Create()
        {
            return View();
        }
        [HttpPost]
        public IActionResult Create(Personel model)
        {
            _personelRepository.Add(model);
            _personelRepository.Save();
            return RedirectToAction("Index");
        }
    }
}