﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using BL.Repository;
using BL.Repository.ConcreateRepositories;
using Entities;
using Microsoft.AspNetCore.Mvc;

namespace NTierDependencyInjection.Controllers
{
    public class SatisController : Controller
    {
        readonly SatisRepository _satisRepository;
        public SatisController(IRepository<Satis> satisRepository)
        {
            _satisRepository = (SatisRepository)satisRepository;
        }
        public IActionResult Index()
        {
            return View(_satisRepository.Get());
        }

        public IActionResult Create()
        {
            return View();
        }
        [HttpPost]
        public IActionResult Create(Personel model)
        {
            _satisRepository.Add(model);
            _satisRepository.Save();
            return RedirectToAction("Index");
        }
    }
}